package cn.com.qmth.examcloud.question.core.paper;

import cn.com.qmth.examcloud.question.core.question.QuestionType;

/**
 * 题单元包装器
 *
 * @author WANGWEI
 * @date 2018年8月16日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestionUnitWrapper implements QuestionUnitWrapper {

	private static final long serialVersionUID = 7584275153456817959L;

	/**
	 * 选项排序值
	 */
	private Integer[] optionPermutation;

	/**
	 * 题分数
	 */
	private Float questionScore;

	/**
	 * 题型
	 */
	private QuestionType questionType;

	@Override
	public Integer[] getOptionPermutation() {
		return optionPermutation;
	}

	public void setOptionPermutation(Integer[] optionPermutation) {
		this.optionPermutation = optionPermutation;
	}

	@Override
	public Float getQuestionScore() {
		return questionScore;
	}

	public void setQuestionScore(Float questionScore) {
		this.questionScore = questionScore;
	}

	@Override
	public QuestionType getQuestionType() {
		return questionType;
	}

	public void setQuestionType(QuestionType questionType) {
		this.questionType = questionType;
	}

}
