package cn.com.qmth.examcloud.question.core.paper;

import java.io.Serializable;
import java.util.List;

/**
 * 试卷结构
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface Paper extends Serializable {

	/**
	 * 获取题组集合
	 *
	 * @author WANGWEI
	 * @return
	 */
	public List<? extends QuestionGroup> getQuestionGroupList();

	/**
	 * 是否全是客观题
	 *
	 * @author WANGWEI
	 * @return
	 */
	public Boolean isFullyObjective();

}
