package cn.com.qmth.examcloud.question.core.paper;

import java.io.Serializable;
import java.util.List;

/**
 * 题结构包装器
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface QuestionStructureWrapper extends Serializable {

	/**
	 * 获取题ID
	 *
	 * @author WANGWEI
	 * @return
	 */
	public String getQuestionId();

	/**
	 * 获取题版本
	 *
	 * @author WANGWEI
	 * @return
	 */
	public String getVersion();

	/**
	 * 获取题分数
	 *
	 * @author WANGWEI
	 * @return
	 */
	public Float getQuestionScore();

	/**
	 * 获取题单元包装器
	 *
	 * @author WANGWEI
	 * @return
	 */
	public List<? extends QuestionUnitWrapper> getQuestionUnitWrapperList();

}
