package cn.com.qmth.examcloud.question.core.question;

import java.util.List;

/**
 * 题单元<最小作答单元>
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestionUnit implements QuestionUnit {

	private static final long serialVersionUID = 3092731472173574671L;

	/**
	 * 题型
	 */
	private QuestionType questionType;

	/**
	 * 题干
	 */
	private String body;

	/**
	 * 选项集合
	 */
	private List<DefaultQuestionOption> questionOptionList;

	/**
	 * 正确答案
	 */
	private String[] rightAnswer;

	@Override
	public QuestionType getQuestionType() {
		return questionType;
	}

	@Override
	public void setQuestionType(QuestionType questionType) {
		this.questionType = questionType;
	}

	@Override
	public String getBody() {
		return body;
	}

	@Override
	public void setBody(String body) {
		this.body = body;
	}

	@Override
	public List<? extends QuestionOption> getQuestionOptionList() {
		return questionOptionList;
	}

	public void setQuestionOptionList(List<DefaultQuestionOption> questionOptionList) {
		this.questionOptionList = questionOptionList;
	}

	@Override
	public String[] getRightAnswer() {
		return rightAnswer;
	}

	@Override
	public void setRightAnswer(String[] rightAnswer) {
		this.rightAnswer = rightAnswer;
	}

}