package cn.com.qmth.examcloud.question.core.question;

import java.io.Serializable;
import java.util.List;

/**
 * 题结构<完整题机构>
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface QuestionStructure extends Serializable {

	/**
	 * 获取结构体
	 *
	 * @author WANGWEI
	 * @return
	 */
	public String getBody();

	/**
	 * 设置结构体
	 *
	 * @author WANGWEI
	 * @param body
	 */
	public void setBody(String body);

	/**
	 * 获取版本
	 *
	 * @author WANGWEI
	 * @return
	 */
	public String getVersion();

	/**
	 * 设置版本
	 *
	 * @author WANGWEI
	 * @param version
	 */
	public void setVersion(String version);

	/**
	 * 获取题单元集
	 *
	 * @author WANGWEI
	 * @return
	 */
	public List<? extends QuestionUnit> getQuestionUnitList();

}