package cn.com.qmth.examcloud.question.core.paper;

import java.util.List;

/**
 * 试卷结构
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultPaper implements Paper {

	private static final long serialVersionUID = -5979287118960427883L;

	/**
	 * 试卷名称
	 */
	private String name;

	/**
	 * 是否全是客观题
	 */
	private Boolean fullyObjective;

	/**
	 * 分组集合
	 */
	private List<DefaultQuestionGroup> questionGroupList;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public List<? extends QuestionGroup> getQuestionGroupList() {
		return questionGroupList;
	}

	public void setQuestionGroupList(List<DefaultQuestionGroup> questionGroupList) {
		this.questionGroupList = questionGroupList;
	}

	@Override
	public Boolean isFullyObjective() {
		return fullyObjective;
	}

	public void setFullyObjective(Boolean fullyObjective) {
		this.fullyObjective = fullyObjective;
	}

}
