package cn.com.qmth.examcloud.question.core.paper;

import java.io.Serializable;
import java.util.List;

/**
 * 题分组集合
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface QuestionGroup extends Serializable {

	/**
	 * 获取组名
	 *
	 * @author WANGWEI
	 * @return
	 */
	public String getGroupName();

	/**
	 * 设置组名
	 *
	 * @author WANGWEI
	 * @param groupName
	 */
	public void setGroupName(String groupName);

	/**
	 * 获取题包装器集合
	 *
	 * @author WANGWEI
	 * @return
	 */
	public List<? extends QuestionStructureWrapper> getQuestionWrapperList();

	/**
	 * 获取题组总分
	 *
	 * @author WANGWEI
	 * @return
	 */
	public Float getGroupScore();

	/**
	 * 设置题组总分
	 *
	 * @author WANGWEI
	 * @param groupScore
	 */
	public void setGroupScore(Float groupScore);

}
