package cn.com.qmth.examcloud.question.core.question;

import java.io.Serializable;
import java.util.List;

/**
 * 题<完整题>
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface Question extends Serializable {

	/**
	 * 获取题ID
	 *
	 * @author WANGWEI
	 * @return
	 */
	public String getId();

	/**
	 * 设置题ID
	 *
	 * @author WANGWEI
	 * @param id
	 */
	public void setId(String id);

	/**
	 * 获取主版本
	 *
	 * @author WANGWEI
	 * @return
	 */
	public QuestionStructure getMasterVersion();

	/**
	 * 获取分支
	 *
	 * @author WANGWEI
	 * @return
	 */
	public List<? extends QuestionStructure> getBranchVersionList();

}